Bug 68641 - Compiling cciss into redhat 2.4.9-31 kernel fails.
Compiling cciss into redhat 2.4.9-31 kernel fails.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-11 19:25 EDT by Brandon Zehm
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-11 19:25:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon Zehm 2002-07-11 19:25:04 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0) 
 
Description of problem: 
I am trying to compile a RedHat 2.4.9-31 (+xfs) kernel with the Compaq SmartArray 5xxx 
driver (i.e. cciss) compiled into the kernel.  The error I get is: 
 
make[2]: Leaving directory `/usr/src/kernels/linux-2.4.9-31-xfs/arch/i386/lib' 
make[1]: Leaving directory `/usr/src/kernels/linux-2.4.9-31-xfs/arch/i386/lib' 
egcs  -E -C -P -I/usr/src/kernels/linux-2.4.9-31-xfs/include -imacros 
/usr/src/kernels/linux-2.4.9-31-xfs/include/asm-i386/page_offset.h -Ui386 
arch/i386/vmlinux.lds.S >arch/i386/vmlinux.lds 
make[1]: Entering directory `/usr/src/kernels/linux-2.4.9-31-xfs' 
ld -m elf_i386 -T /usr/src/kernels/linux-2.4.9-31-xfs/arch/i386/vmlinux.lds -e stext 
arch/i386/kernel/head.o arch/i386/kernel/init_task.o init/main.o init/version.o 
--start-group arch/i386/kernel/kernel.o arch/i386/mm/mm.o kernel/kernel.o mm/mm.o fs/fs.o 
ipc/ipc.o  drivers/char/char.o drivers/block/block.o drivers/misc/misc.o 
drivers/net/net.o drivers/media/media.o drivers/scsi/scsidrv.o drivers/cdrom/driver.o 
drivers/pci/driver.o drivers/video/video.o net/network.o 
/usr/src/kernels/linux-2.4.9-31-xfs/arch/i386/lib/lib.a 
/usr/src/kernels/linux-2.4.9-31-xfs/lib/lib.a 
/usr/src/kernels/linux-2.4.9-31-xfs/arch/i386/lib/lib.a --end-group  -o vmlinux 
drivers/block/block.o: In function `cleanup_cciss_module': 
drivers/block/block.o(.text+0xf2d7): undefined reference to `local symbols in discarded 
section .text.exit' 
drivers/block/block.o(.data+0xcf4): undefined reference to `local symbols in discarded 
section .text.exit' 
drivers/net/net.o(.data+0xd4): undefined reference to `local symbols in discarded section 
.text.exit' 
make[1]: *** [kallsyms] Error 1 
make[1]: Leaving directory `/usr/src/kernels/linux-2.4.9-31-xfs' 
make: *** [vmlinux] Error 2 
 
 
My kernel config is: 
 
# 
# Automatically generated make config: don't edit 
# 
CONFIG_X86=y 
CONFIG_ISA=y 
# CONFIG_SBUS is not set 
CONFIG_UID16=y 
 
# 
# Code maturity level options 
# 
CONFIG_EXPERIMENTAL=y 
 
# 
# Loadable module support 
# 
# CONFIG_MODULES is not set 
 
# 
# Processor type and features 
# 
# CONFIG_M386 is not set 
# CONFIG_M486 is not set 
# CONFIG_M586 is not set 
# CONFIG_M586TSC is not set 
# CONFIG_M586MMX is not set 
# CONFIG_M686 is not set 
CONFIG_MPENTIUMIII=y 
# CONFIG_MPENTIUM4 is not set 
# CONFIG_MK6 is not set 
# CONFIG_MK7 is not set 
# CONFIG_MCRUSOE is not set 
# CONFIG_MWINCHIPC6 is not set 
# CONFIG_MWINCHIP2 is not set 
# CONFIG_MWINCHIP3D is not set 
# CONFIG_MCYRIXIII is not set 
CONFIG_X86_WP_WORKS_OK=y 
CONFIG_X86_INVLPG=y 
CONFIG_X86_CMPXCHG=y 
CONFIG_X86_XADD=y 
CONFIG_X86_BSWAP=y 
CONFIG_X86_POPAD_OK=y 
# CONFIG_RWSEM_GENERIC_SPINLOCK is not set 
CONFIG_RWSEM_XCHGADD_ALGORITHM=y 
CONFIG_X86_L1_CACHE_SHIFT=5 
CONFIG_X86_TSC=y 
CONFIG_X86_GOOD_APIC=y 
CONFIG_X86_PGE=y 
CONFIG_X86_USE_PPRO_CHECKSUM=y 
# CONFIG_TOSHIBA is not set 
CONFIG_MICROCODE=y 
CONFIG_X86_MSR=y 
CONFIG_X86_CPUID=y 
# CONFIG_E820_PROC is not set 
CONFIG_NOHIGHMEM=y 
# CONFIG_HIGHMEM4G is not set 
# CONFIG_HIGHMEM64G is not set 
# CONFIG_1GB is not set 
CONFIG_2GB=y 
# CONFIG_3GB is not set 
# CONFIG_MATH_EMULATION is not set 
CONFIG_MTRR=y 
CONFIG_SMP=y 
CONFIG_HAVE_DEC_LOCK=y 
CONFIG_MXT=y 
 
# 
# General setup 
# 
CONFIG_NET=y 
CONFIG_X86_IO_APIC=y 
CONFIG_X86_LOCAL_APIC=y 
CONFIG_PCI=y 
# CONFIG_PCI_GOBIOS is not set 
# CONFIG_PCI_GODIRECT is not set 
CONFIG_PCI_GOANY=y 
CONFIG_PCI_BIOS=y 
CONFIG_PCI_DIRECT=y 
CONFIG_PCI_NAMES=y 
# CONFIG_EISA is not set 
# CONFIG_MCA is not set 
# CONFIG_HOTPLUG is not set 
# CONFIG_PCMCIA is not set 
# CONFIG_HOTPLUG_PCI is not set 
CONFIG_SYSVIPC=y 
CONFIG_BSD_PROCESS_ACCT=y 
CONFIG_SYSCTL=y 
CONFIG_KCORE_ELF=y 
# CONFIG_KCORE_AOUT is not set 
# CONFIG_BINFMT_AOUT is not set 
CONFIG_BINFMT_ELF=y 
# CONFIG_BINFMT_MISC is not set 
CONFIG_PM=y 
# CONFIG_ACPI is not set 
CONFIG_APM=y 
# CONFIG_APM_IGNORE_USER_SUSPEND is not set 
CONFIG_APM_DO_ENABLE=y 
CONFIG_APM_CPU_IDLE=y 
# CONFIG_APM_DISPLAY_BLANK is not set 
# CONFIG_APM_RTC_IS_GMT is not set 
# CONFIG_APM_ALLOW_INTS is not set 
# CONFIG_APM_REAL_MODE_POWER_OFF is not set 
 
# 
# Binary emulation of other systems 
# 
# CONFIG_ABI is not set 
# CONFIG_ABI_CXENIX is not set 
 
# 
# Support for foreign binary formats 
# 
 
# 
# Linux-ABI debugging settings 
# 
 
# 
# Memory Technology Devices (MTD) 
# 
# CONFIG_MTD is not set 
# 
# Parallel port support 
# 
# CONFIG_PARPORT is not set 
 
# 
# Plug and Play configuration 
# 
# CONFIG_PNP is not set 
 
# 
# Block devices 
# 
CONFIG_BLK_DEV_FD=y 
# CONFIG_BLK_DEV_XD is not set 
# CONFIG_BLK_CPQ_DA is not set 
CONFIG_BLK_CPQ_CISS_DA=y 
# CONFIG_CISS_SCSI_TAPE is not set 
# CONFIG_BLK_DEV_DAC960 is not set 
CONFIG_BLK_DEV_LOOP=y 
# CONFIG_BLK_DEV_NBD is not set 
# CONFIG_BLK_DEV_RAM is not set 
 
# 
# Multi-device support (RAID and LVM) 
# 
# CONFIG_MD is not set 
 
# 
# Networking options 
# 
# CONFIG_PACKET is not set 
# CONFIG_NETLINK is not set 
CONFIG_NETFILTER=y 
# CONFIG_NETFILTER_DEBUG is not set 
# CONFIG_FILTER is not set 
CONFIG_UNIX=y 
CONFIG_INET=y 
# CONFIG_TUX is not set 
# CONFIG_IP_MULTICAST is not set 
# CONFIG_IP_ADVANCED_ROUTER is not set 
# CONFIG_IP_PNP is not set 
# CONFIG_NET_IPIP is not set 
# CONFIG_NET_IPGRE is not set 
# CONFIG_INET_ECN is not set 
# CONFIG_SYN_COOKIES is not set 
 
# 
#   IP: Netfilter Configuration 
# 
CONFIG_IP_NF_CONNTRACK=y 
# CONFIG_IP_NF_FTP is not set 
# CONFIG_IP_NF_IRC is not set 
CONFIG_IP_NF_IPTABLES=y 
CONFIG_IP_NF_MATCH_LIMIT=y 
# CONFIG_IP_NF_MATCH_MAC is not set 
CONFIG_IP_NF_MATCH_MARK=y 
CONFIG_IP_NF_MATCH_MULTIPORT=y 
# CONFIG_IP_NF_MATCH_TOS is not set 
# CONFIG_IP_NF_MATCH_TCPMSS is not set 
CONFIG_IP_NF_MATCH_STATE=y 
# CONFIG_IP_NF_MATCH_UNCLEAN is not set 
# CONFIG_IP_NF_MATCH_OWNER is not set 
CONFIG_IP_NF_FILTER=y 
CONFIG_IP_NF_TARGET_REJECT=y
# CONFIG_IP_NF_TARGET_MIRROR is not set 
CONFIG_IP_NF_NAT=y 
CONFIG_IP_NF_NAT_NEEDED=y 
# CONFIG_IP_NF_TARGET_MASQUERADE is not set 
CONFIG_IP_NF_TARGET_REDIRECT=y 
CONFIG_IP_NF_MANGLE=y 
# CONFIG_IP_NF_TARGET_TOS is not set 
CONFIG_IP_NF_TARGET_MARK=y 
CONFIG_IP_NF_TARGET_LOG=y 
# CONFIG_IP_NF_TARGET_TCPMSS is not set 
 
# 
#   IP: Virtual Server Configuration 
# 
# CONFIG_IP_VS is not set 
# CONFIG_IPV6 is not set 
# CONFIG_KHTTPD is not set 
# CONFIG_ATM is not set 
 
# 
# 
# 
# CONFIG_IPX is not set 
# CONFIG_ATALK is not set 
# CONFIG_DECNET is not set 
# CONFIG_BRIDGE is not set 
# CONFIG_X25 is not set 
# CONFIG_LAPB is not set 
# CONFIG_LLC is not set 
# CONFIG_NET_DIVERT is not set 
# CONFIG_ECONET is not set 
# CONFIG_WAN_ROUTER is not set 
# CONFIG_NET_FASTROUTE is not set 
# CONFIG_NET_HW_FLOWCONTROL is not set 
 
# 
# QoS and/or fair queueing 
# 
# CONFIG_NET_SCHED is not set 
 
# 
# Telephony Support 
# 
# CONFIG_PHONE is not set 
 
# 
# ATA/IDE/MFM/RLL support 
# 
# CONFIG_IDE is not set 
# CONFIG_BLK_DEV_IDE_MODES is not set 
# CONFIG_BLK_DEV_HD is not set 
 
# 
# SCSI support 
# 
CONFIG_SCSI=y 
 
# 
# SCSI support type (disk, tape, CD-ROM) 
# 
CONFIG_BLK_DEV_SD=y 
CONFIG_SD_EXTRA_DEVS=20 
# CONFIG_CHR_DEV_ST is not set 
# CONFIG_CHR_DEV_OSST is not set 
CONFIG_BLK_DEV_SR=y 
# CONFIG_BLK_DEV_SR_VENDOR is not set 
CONFIG_SR_EXTRA_DEVS=2 
CONFIG_CHR_DEV_SG=y 
 
# 
# Some SCSI devices (e.g. CD jukebox) support multiple LUNs 
# 
# CONFIG_SCSI_DEBUG_QUEUES is not set 
# CONFIG_SCSI_MULTI_LUN is not set 
CONFIG_SCSI_CONSTANTS=y 
# CONFIG_SCSI_LOGGING is not set 
 
# 
# SCSI low-level drivers 
# 
# CONFIG_BLK_DEV_3W_XXXX_RAID is not set 
# CONFIG_SCSI_7000FASST is not set 
# CONFIG_SCSI_ACARD is not set 
# CONFIG_SCSI_AHA152X is not set 
# CONFIG_SCSI_AHA1542 is not set 
# CONFIG_SCSI_AHA1740 is not set 
# CONFIG_SCSI_AACRAID is not set 
# CONFIG_SCSI_AIC7XXX is not set 
# CONFIG_SCSI_AIC7XXX_OLD is not set 
# CONFIG_SCSI_DPT_I2O is not set 
# CONFIG_SCSI_ADVANSYS is not set 
# CONFIG_SCSI_IN2000 is not set 
# CONFIG_SCSI_AM53C974 is not set 
CONFIG_SCSI_MEGARAID=y 
# CONFIG_SCSI_BUSLOGIC is not set 
# CONFIG_SCSI_CPQFCTS is not set 
# CONFIG_SCSI_DMX3191D is not set 
# CONFIG_SCSI_DTC3280 is not set 
# CONFIG_SCSI_EATA is not set 
# CONFIG_SCSI_EATA_DMA is not set 
# CONFIG_SCSI_EATA_PIO is not set 
# CONFIG_SCSI_FUTURE_DOMAIN is not set 
# CONFIG_SCSI_GDTH is not set 
# CONFIG_SCSI_GENERIC_NCR5380 is not set 
# CONFIG_SCSI_IPS is not set 
# CONFIG_SCSI_INITIO is not set 
# CONFIG_SCSI_INIA100 is not set 
# CONFIG_SCSI_NCR53C406A is not set 
# CONFIG_SCSI_NCR53C7xx is not set 
# CONFIG_SCSI_NCR53C8XX is not set 
# CONFIG_SCSI_SYM53C8XX is not set 
# CONFIG_SCSI_PAS16 is not set 
# CONFIG_SCSI_PCI2000 is not set 
# CONFIG_SCSI_PCI2220I is not set 
# CONFIG_SCSI_PSI240I is not set 
# CONFIG_SCSI_QLOGIC_FAS is not set 
# CONFIG_SCSI_QLOGIC_ISP is not set 
# CONFIG_SCSI_QLOGIC_FC is not set 
# CONFIG_SCSI_QLOGIC_1280 is not set 
# CONFIG_SCSI_QLOGIC_QLA2100 is not set 
# CONFIG_SCSI_SEAGATE is not set 
# CONFIG_SCSI_SIM710 is not set 
# CONFIG_SCSI_SYM53C416 is not set 
# CONFIG_SCSI_DC390T is not set 
# CONFIG_SCSI_T128 is not set 
# CONFIG_SCSI_U14_34F is not set 
# CONFIG_SCSI_ULTRASTOR is not set 
# CONFIG_SCSI_DEBUG is not set 
# CONFIG_SCSI_ISCSI is not set 
 
# 
# Fusion MPT device support 
# 
# CONFIG_FUSION is not set 
# CONFIG_FUSION_BOOT is not set 
# CONFIG_FUSION_ISENSE is not set 
# CONFIG_FUSION_CTL is not set 
# CONFIG_FUSION_LAN is not set 
 
# 
# IEEE 1394 (FireWire) support (EXPERIMENTAL) 
# 
# CONFIG_IEEE1394 is not set 
 
# 
# I2O device support 
# 
# CONFIG_I2O is not set 
 
# 
# Network device support 
# 
CONFIG_NETDEVICES=y 
 
# 
# ARCnet devices 
# 
# CONFIG_ARCNET is not set 
# CONFIG_DUMMY is not set 
# CONFIG_BONDING is not set 
# CONFIG_EQUALIZER is not set 
# CONFIG_TUN is not set 
 
# 
# Ethernet (10 or 100Mbit) 
# 
CONFIG_NET_ETHERNET=y 
# CONFIG_HAPPYMEAL is not set 
# CONFIG_SUNGEM is not set 
# CONFIG_NET_VENDOR_3COM is not set 
# CONFIG_LANCE is not set 
# CONFIG_NET_VENDOR_SMC is not set 
# CONFIG_NET_VENDOR_RACAL is not set 
# CONFIG_AT1700 is not set 
# CONFIG_DEPCA is not set 
# CONFIG_HP100 is not set 
# CONFIG_NET_ISA is not set 
CONFIG_NET_PCI=y 
# CONFIG_PCNET32 is not set 
# CONFIG_ADAPTEC_STARFIRE is not set 
# CONFIG_AC3200 is not set 
# CONFIG_APRICOT is not set 
# CONFIG_CS89x0 is not set 
# CONFIG_TULIP is not set 
# CONFIG_DE4X5 is not set 
# CONFIG_DGRS is not set 
# CONFIG_DM9102 is not set 
CONFIG_EEPRO100=y 
# CONFIG_FEALNX is not set 
# CONFIG_NATSEMI is not set 
# CONFIG_NE2K_PCI is not set 
# CONFIG_8139TOO is not set 
# CONFIG_SIS900 is not set 
# CONFIG_SIS900_NEW is not set 
# CONFIG_EPIC100 is not set 
# CONFIG_SUNDANCE is not set 
# CONFIG_TLAN is not set 
# CONFIG_VIA_RHINE is not set 
# CONFIG_WINBOND_840 is not set 
# CONFIG_LAN_SAA9730 is not set 
# CONFIG_NET_POCKET is not set 
 
# 
# Ethernet (1000 Mbit) 
# 
# CONFIG_ACENIC is not set 
# CONFIG_DL2K is not set 
# CONFIG_NS83820 is not set 
# CONFIG_HAMACHI is not set 
# CONFIG_YELLOWFIN is not set 
# CONFIG_SK98LIN is not set 
# CONFIG_FDDI is not set 
# CONFIG_HIPPI is not set 
# CONFIG_PPP is not set 
# CONFIG_SLIP is not set 
 
# 
# Wireless LAN (non-hamradio) 
# 
# CONFIG_NET_RADIO is not set 
 
# 
# Token Ring devices 
# 
# CONFIG_TR is not set 
# CONFIG_NET_FC is not set 
# CONFIG_RCPCI is not set 
# CONFIG_SHAPER is not set 
 
# 
# Wan interfaces 
# 
# CONFIG_WAN is not set 
 
# 
# Amateur Radio support 
# 
# CONFIG_HAMRADIO is not set 
 
# 
# IrDA (infrared) support 
# 
# CONFIG_IRDA is not set 
 
# 
# ISDN subsystem 
# 
# CONFIG_ISDN is not set 
 
# 
# Old CD-ROM drivers (not SCSI, not IDE) 
# 
# CONFIG_CD_NO_IDESCSI is not set 
 
# 
# Input core support 
# 
# CONFIG_INPUT is not set 
CONFIG_INPUT_MOUSEDEV_SCREEN_X=1024 
CONFIG_INPUT_MOUSEDEV_SCREEN_Y=768
 
# 
# Character devices 
# 
CONFIG_VT=y 
# CONFIG_ECC is not set 
CONFIG_VT_CONSOLE=y 
# CONFIG_SERIAL is not set 
# CONFIG_SERIAL_NONSTANDARD is not set 
CONFIG_UNIX98_PTYS=y 
CONFIG_UNIX98_PTY_COUNT=512 
 
# 
# I2C support 
# 
# CONFIG_I2C is not set 
 
# 
# Mice 
# 
# CONFIG_BUSMOUSE is not set 
# CONFIG_MOUSE is not set 
 
# 
# Joysticks 
# 
# CONFIG_INPUT_GAMEPORT is not set 
 
# 
# Input core support is needed for gameports 
# 
 
# 
# Input core support is needed for joysticks 
# 
# CONFIG_QIC02_TAPE is not set 
 
# 
# Watchdog Cards 
# 
# CONFIG_WATCHDOG is not set 
CONFIG_INTEL_RNG=y 
# CONFIG_NVRAM is not set 
CONFIG_RTC=y 
# CONFIG_DTLK is not set 
# CONFIG_R3964 is not set 
# CONFIG_APPLICOM is not set 
# CONFIG_SONYPI is not set 
 
# 
# Ftape, the floppy tape device driver 
# 
# CONFIG_FTAPE is not set 
# CONFIG_AGP is not set 
# CONFIG_DRM is not set 
 
# 
# Multimedia devices 
# 
# CONFIG_VIDEO_DEV is not set 
 
# 
# Crypto Hardware support 
# 
# CONFIG_CRYPTO is not set 
 
# 
# File systems 
# 
# CONFIG_QUOTA is not set 
# CONFIG_FS_POSIX_ACL is not set 
# CONFIG_AUTOFS_FS is not set 
# CONFIG_AUTOFS4_FS is not set 
# CONFIG_REISERFS_FS is not set 
# CONFIG_ADFS_FS is not set 
# CONFIG_AFFS_FS is not set 
# CONFIG_HFS_FS is not set 
# CONFIG_BFS_FS is not set 
# CONFIG_CMS_FS is not set 
# CONFIG_EXT3_FS is not set 
# CONFIG_JBD is not set 
CONFIG_FAT_FS=y 
# CONFIG_MSDOS_FS is not set 
CONFIG_VFAT_FS=y 
# CONFIG_EFS_FS is not set 
# CONFIG_CRAMFS is not set 
CONFIG_TMPFS=y 
# CONFIG_RAMFS is not set 
CONFIG_ISO9660_FS=y 
CONFIG_JOLIET=y 
CONFIG_MINIX_FS=y 
# CONFIG_FREEVXFS_FS is not set 
# CONFIG_NTFS_FS is not set 
# CONFIG_HPFS_FS is not set 
CONFIG_PROC_FS=y 
CONFIG_DEVFS_FS=y 
CONFIG_DEVFS_MOUNT=y 
# CONFIG_DEVFS_DEBUG is not set 
# CONFIG_DEVPTS_FS is not set 
# CONFIG_QNX4FS_FS is not set 
# CONFIG_ROMFS_FS is not set 
CONFIG_EXT2_FS=y 
# CONFIG_SYSV_FS is not set 
# CONFIG_UDF_FS is not set 
# CONFIG_UFS_FS is not set 
CONFIG_XFS_FS=y 
# CONFIG_XFS_RT is not set 
# CONFIG_XFS_QUOTA is not set 
# CONFIG_XFS_DMAPI is not set 
 
# 
# Network File Systems 
# 
# CONFIG_CODA_FS is not set 
# CONFIG_INTERMEZZO_FS is not set 
# CONFIG_NFS_FS is not set 
# CONFIG_NFSD is not set 
# CONFIG_SUNRPC is not set 
# CONFIG_LOCKD is not set 
# CONFIG_SMB_FS is not set 
# CONFIG_NCP_FS is not set 
 
# 
# Partition Types 
# 
# CONFIG_PARTITION_ADVANCED is not set 
CONFIG_MSDOS_PARTITION=y 
# CONFIG_SMB_NLS is not set 
CONFIG_NLS=y 
 
# 
# Native Language Support 
# 
CONFIG_NLS_DEFAULT="iso8859-1" 
CONFIG_NLS_CODEPAGE_437=y 
# CONFIG_NLS_CODEPAGE_737 is not set 
# CONFIG_NLS_CODEPAGE_775 is not set 
# CONFIG_NLS_CODEPAGE_850 is not set 
# CONFIG_NLS_CODEPAGE_852 is not set 
# CONFIG_NLS_CODEPAGE_855 is not set 
# CONFIG_NLS_CODEPAGE_857 is not set 
# CONFIG_NLS_CODEPAGE_860 is not set 
# CONFIG_NLS_CODEPAGE_861 is not set 
# CONFIG_NLS_CODEPAGE_862 is not set 
# CONFIG_NLS_CODEPAGE_863 is not set 
# CONFIG_NLS_CODEPAGE_864 is not set 
# CONFIG_NLS_CODEPAGE_865 is not set 
# CONFIG_NLS_CODEPAGE_866 is not set 
# CONFIG_NLS_CODEPAGE_869 is not set 
# CONFIG_NLS_CODEPAGE_936 is not set 
# CONFIG_NLS_CODEPAGE_950 is not set 
# CONFIG_NLS_CODEPAGE_932 is not set 
# CONFIG_NLS_CODEPAGE_949 is not set 
# CONFIG_NLS_CODEPAGE_874 is not set 
# CONFIG_NLS_ISO8859_8 is not set 
# CONFIG_NLS_CODEPAGE_1251 is not set 
CONFIG_NLS_ISO8859_1=y 
# CONFIG_NLS_ISO8859_2 is not set 
# CONFIG_NLS_ISO8859_3 is not set 
# CONFIG_NLS_ISO8859_4 is not set 
# CONFIG_NLS_ISO8859_5 is not set 
# CONFIG_NLS_ISO8859_6 is not set 
# CONFIG_NLS_ISO8859_7 is not set 
# CONFIG_NLS_ISO8859_9 is not set 
# CONFIG_NLS_ISO8859_13 is not set 
# CONFIG_NLS_ISO8859_14 is not set 
# CONFIG_NLS_ISO8859_15 is not set 
# CONFIG_NLS_KOI8_R is not set 
# CONFIG_NLS_KOI8_U is not set 
# CONFIG_NLS_UTF8 is not set 
 
# 
# Console drivers 
# 
CONFIG_VGA_CONSOLE=y 
CONFIG_VIDEO_SELECT=y 
# CONFIG_VIDEO_IGNORE_BAD_MODE is not set 
# CONFIG_MDA_CONSOLE is not set 
 
# 
# Frame-buffer support 
# 
# CONFIG_FB is not set 
 
# 
# Sound 
# 
# CONFIG_SOUND is not set 
 
# 
# USB support 
# 
# CONFIG_USB is not set 
 
# 
# USB Controllers 
# 
 
# 
# USB Device Class drivers 
# 
# CONFIG_USB_STORAGE_SDDR09 is not set 
 
# 
# USB Human Interface Devices (HID) 
# 
 
# 
#   Input core support is needed for USB HID 
# 
 
# 
# USB Imaging devices 
# 
 
# 
# USB Multimedia devices 
# 
 
# 
#   Video4Linux support is needed for USB Multimedia device support 
# 
 
# 
# USB Network adaptors 
# 
 
# 
# USB port drivers 
# 
 
# 
# USB Serial Converter support 
# 
 
# 
# Miscellaneous USB drivers 
# 
 
# 
# Additional device driver support 
# 
# CONFIG_NET_BROADCOM is not set 
# CONFIG_NET_E100 is not set 
# CONFIG_NET_E1000 is not set 
# CONFIG_CIPE is not set 
# CONFIG_CRYPTO_AEP is not set 
# CONFIG_FC_QLA2200 is not set 
# CONFIG_FC_QLA2300 is not set 
 
# 
# Bluetooth support 
# 
# CONFIG_BLUEZ is not set 
 
# 
# Kernel hacking 
# 
# CONFIG_SMALL is not set 
# CONFIG_DEBUG_KERNEL is not set 
 
 
 
 
I am compiling with egcs 1.1.2. 
Any help would be greatly appreciated.  I tried google and other places but I can't seem 
to find a fix for this.   
 
 
Version-Release number of selected component (if applicable): 2.4.9-31 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1.Use the kernel config listed above 
2.compile the kernel (with kgcc?) 
3.look for the error 
  
 
Actual Results:   
make[2]: Leaving directory `/usr/src/kernels/linux-2.4.9-31-xfs/arch/i386/lib' 
make[1]: Leaving directory `/usr/src/kernels/linux-2.4.9-31-xfs/arch/i386/lib' 
egcs  -E -C -P -I/usr/src/kernels/linux-2.4.9-31-xfs/include -imacros 
/usr/src/kernels/linux-2.4.9-31-xfs/include/asm-i386/page_offset.h -Ui386 
arch/i386/vmlinux.lds.S >arch/i386/vmlinux.lds 
make[1]: Entering directory `/usr/src/kernels/linux-2.4.9-31-xfs' 
ld -m elf_i386 -T /usr/src/kernels/linux-2.4.9-31-xfs/arch/i386/vmlinux.lds -e stext 
arch/i386/kernel/head.o arch/i386/kernel/init_task.o init/main.o init/version.o 
--start-group arch/i386/kernel/kernel.o arch/i386/mm/mm.o kernel/kernel.o mm/mm.o fs/fs.o 
ipc/ipc.o  drivers/char/char.o drivers/block/block.o drivers/misc/misc.o 
drivers/net/net.o drivers/media/media.o drivers/scsi/scsidrv.o drivers/cdrom/driver.o 
drivers/pci/driver.o drivers/video/video.o net/network.o 
/usr/src/kernels/linux-2.4.9-31-xfs/arch/i386/lib/lib.a 
/usr/src/kernels/linux-2.4.9-31-xfs/lib/lib.a 
/usr/src/kernels/linux-2.4.9-31-xfs/arch/i386/lib/lib.a --end-group  -o vmlinux 
drivers/block/block.o: In function `cleanup_cciss_module': 
drivers/block/block.o(.text+0xf2d7): undefined reference to `local symbols in discarded 
section .text.exit' 
drivers/block/block.o(.data+0xcf4): undefined reference to `local symbols in discarded 
section .text.exit' 
drivers/net/net.o(.data+0xd4): undefined reference to `local symbols in discarded section 
.text.exit' 
make[1]: *** [kallsyms] Error 1 
make[1]: Leaving directory `/usr/src/kernels/linux-2.4.9-31-xfs' 
make: *** [vmlinux] Error 2 
 
 
Expected Results:  The bzImage should build successfully 
 
Additional info:
Comment 1 Arjan van de Ven 2002-07-12 03:48:29 EDT
RedHat 2.4.9-31 (+xfs)

you're running SGI Linux not Red Hat Linux, please report this to the proper vendor.
Comment 2 Brandon Zehm 2002-07-15 11:42:02 EDT
Sorry, but I'm a bit irked.  You didn't even look into this, and just assumed 
that I'm a dumb user who doesn't know where to report bugs.  I compiled the 
vinila redhat 2.4.9-31 kernel as well as the XFS patched version and both had 
the same error message.  It's not related to SGI or XFS.  Some of our servers 
use XFS and some don't, but neither will compile with the cciss module - I 
think that makes it pretty obvious that the issue is not related to SGI.  

So, do I need to re-open this and say I was using the vinila RH-2.4.9 kernel, 
because it has the same problem.

Brandon
Comment 3 Arjan van de Ven 2002-07-15 11:46:33 EDT
It *does* depend on what you are running. You can compile it on Red Hat Linux
7.2. However it's know to not compile on RHL7.3 or some SGI Linux versions. It's
a binutils interaction.
Comment 4 Brandon Zehm 2002-07-15 15:42:06 EDT
OK thanks - that actually helps to make things a lot clearer.   
 
To make things clear to you I am not running SGI's distribution (never even tried it.)  I 
am running RH-7.3 on one of my boxes (no XFS) and Slackware 8.0 on my other system.  In 
production we use a very stripped version of RH 7.1 with the xfs tools and XFS kernel 
added on afterward.  We recently aquired some new hardware that requires the cciss code 
to be compiled into the kernel, and when I tried compiling a new kernel (on both vinilla 
RH-7.3 and Slackware 8.0) the compile failed with the previously posted error message. 
 
Since I now know that it's just a binutils problem I will install RH-7.2 on a spare 
machine and compile the kernel there. 
 
Thanks for your input -  
Brandon 

Note You need to log in before you can comment on or make changes to this bug.